summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-04-23 12:14:47 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-04-24 00:06:55 +0200
commit676a79636007840dd187ee278f14c416d27c03fe (patch)
treecb720563f718dd6463117035261bc709a5bc1ce0 /kde-apps/kolourpaint
parentprofiles: use.desc: Add 'telemetry' (diff)
downloadgentoo-676a79636007840dd187ee278f14c416d27c03fe.tar.gz
gentoo-676a79636007840dd187ee278f14c416d27c03fe.tar.bz2
gentoo-676a79636007840dd187ee278f14c416d27c03fe.zip
kde-apps: Add KDE Release Service 20.04.0
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/kolourpaint')
-rw-r--r--kde-apps/kolourpaint/Manifest1
-rw-r--r--kde-apps/kolourpaint/kolourpaint-20.04.0.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/kde-apps/kolourpaint/Manifest b/kde-apps/kolourpaint/Manifest
index 055298a5ede..6b53e7e9c06 100644
--- a/kde-apps/kolourpaint/Manifest
+++ b/kde-apps/kolourpaint/Manifest
@@ -1 +1,2 @@
DIST kolourpaint-19.12.3.tar.xz 5654284 BLAKE2B 55e22e4081a3a4cba8c2c3dc1abfe40de104fe2aea22a473f496296d181772aa21cc03dea6f2c4ff7b676e7aa948b93019e7a30136f53f4f23036d3385c7261f SHA512 8697ada6f407426bb48e8f62dcc9337630631a0aed17d5efd3390dfedd7039c3c7a9f7c88e46dfe2475fea5f25f73387a4dd40b624c8811fdb019e1e5f6e85bf
+DIST kolourpaint-20.04.0.tar.xz 5652248 BLAKE2B 2b654019fb441e2cf103260003b1ea6dd4ff556556d5421c26eea8b2e25969f7e0d491f3225ab0dcf510b736054fe70a806a45433c2ba4e7a5a6c1f48a1a9ba9 SHA512 2846a71f31c217b021eb10bc098c66d21ae92a820b7885c069841addd21eb3fd902251cd8a0dc1b651ef31dc13beb1bdc95c9e51302798ab92e502f2873c7bd7
diff --git a/kde-apps/kolourpaint/kolourpaint-20.04.0.ebuild b/kde-apps/kolourpaint/kolourpaint-20.04.0.ebuild
new file mode 100644
index 00000000000..5861b206ef2
--- /dev/null
+++ b/kde-apps/kolourpaint/kolourpaint-20.04.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="forceoptional"
+PVCUT=$(ver_cut 1-3)
+KFMIN=5.69.0
+QTMIN=5.12.3
+inherit ecm kde.org
+
+DESCRIPTION="Paint Program by KDE"
+HOMEPAGE="https://kde.org/applications/graphics/org.kde.kolourpaint"
+
+LICENSE="BSD-2 LGPL-2 LGPL-2+ || ( LGPL-2.1 LGPL-3 ) GPL-2 handbook? ( FDL-1.2 )"
+SLOT="5"
+KEYWORDS="~amd64 ~ppc64"
+IUSE="scanner"
+
+DEPEND="
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kconfigwidgets-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kguiaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/kjobwidgets-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-frameworks/ktextwidgets-${KFMIN}:5
+ >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+ >=kde-frameworks/kxmlgui-${KFMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtprintsupport-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ scanner? ( >=kde-apps/libksane-${PVCUT}:5 )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package scanner KF5Sane)
+ )
+
+ ecm_src_configure
+}